import { InitManager } from './init-manager';
// (async () => {
//     const initManager = new InitManager();
//     const initData = process.env.initData;
//     const { name, dir, project } = JSON.parse(initData);
//     await initManager.init(name, dir, project);
// })()

async function start({ name, dir, project }) {
    const initManager = new InitManager();
    await initManager.init(name, dir, project);
}

process.on("message", async params => {
    if (params.action === 'start') {
        const { name, dir, project } = params
        await start({
            name, dir, project
        });
        process.exit(-1);
    }
});